ViennaCL - The Vienna Computing Library: viennacl::linalg::chow_patel_tag Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::linalg::chow_patel_tag Class Reference

A tag for incomplete LU and incomplete Cholesky factorization with static pattern (Parallel-ILU0, Parallel ICC0) More...

`#include <chow_patel_ilu.hpp>`

## Public Member Functions
| chow_patel_tag (vcl_size_t num_sweeps=3, vcl_size_t num_jacobi_iters=2)
| Constructor allowing to set the number of sweeps and Jacobi iterations. More...
vcl_size_t | sweeps () const
| Returns the number of sweeps (i.e. number of nonlinear iterations) in the solver setup stage. More...
void | sweeps (vcl_size_t num)
| Sets the number of sweeps (i.e. number of nonlinear iterations) in the solver setup stage. More...
vcl_size_t | jacobi_iters () const
| Returns the number of Jacobi iterations (i.e. applications of x_{k+1} = (I - D^{-1}R)x_k + D^{-1} b) for each of the solves y = U^{-1} x and z = L^{-1} y) for each preconditioner application. More...
void | jacobi_iters (vcl_size_t num)
| Sets the number of Jacobi iterations for each triangular 'solve' when applying the preconditioner to a vector. More...

## Detailed Description

A tag for incomplete LU and incomplete Cholesky factorization with static pattern (Parallel-ILU0, Parallel ICC0)

Definition at line 44 of file chow_patel_ilu.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::chow_patel_tag::chow_patel_tag | ( | vcl_size_t | num_sweeps = `3`,
|  | vcl_size_t | num_jacobi_iters = `2`
| ) |  |
| inline

Constructor allowing to set the number of sweeps and Jacobi iterations.

Parameters

  num_sweeps | Number of sweeps in setup phase
  num_jacobi_iters | Number of Jacobi iterations for each triangular 'solve' when applying the preconditioner to a vector

Definition at line 52 of file chow_patel_ilu.hpp.

## Member Function Documentation

vcl_size_t viennacl::linalg::chow_patel_tag::jacobi_iters | ( |  | ) | const
| inline

Returns the number of Jacobi iterations (i.e. applications of x_{k+1} = (I - D^{-1}R)x_k + D^{-1} b) for each of the solves y = U^{-1} x and z = L^{-1} y) for each preconditioner application.

Definition at line 60 of file chow_patel_ilu.hpp.

void viennacl::linalg::chow_patel_tag::jacobi_iters | ( | vcl_size_t | num | ) |
| inline

Sets the number of Jacobi iterations for each triangular 'solve' when applying the preconditioner to a vector.

Definition at line 62 of file chow_patel_ilu.hpp.

vcl_size_t viennacl::linalg::chow_patel_tag::sweeps | ( |  | ) | const
| inline

Returns the number of sweeps (i.e. number of nonlinear iterations) in the solver setup stage.

Definition at line 55 of file chow_patel_ilu.hpp.

void viennacl::linalg::chow_patel_tag::sweeps | ( | vcl_size_t | num | ) |
| inline

Sets the number of sweeps (i.e. number of nonlinear iterations) in the solver setup stage.

Definition at line 57 of file chow_patel_ilu.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/ilu/chow_patel_ilu.hpp